# Generated by rust2rpm 24
%bcond_without check

%global crate espanso

Name:           rust-espanso
Version:        2.2.0
Release:        %autorelease
Summary:        Cross-platform Text Expander written in Rust

License:        GPL-3.0
URL:            https://espanso.org/
Source:         %{crate}-%{version}.tar.gz
Source:         make-archive.sh
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# - Bump simplelog to 0.12.0
# - Bump enum-as-inner to 0.5.0
# - Bump dialoguer to 0.10.0
# - Bump notify to 5.2.0
# - Bump sysinfo to 0.28.0
Patch:          espanso-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Cross-platform Text Expander written in Rust.

A text expander is a program that detects when you type a specific keyword and
replaces it with something else. This is useful in many ways:

 - Save a lot of typing, expanding common sentences.
 - Create system-wide code snippets.
 - Execute custom scripts
 - Use emojis like a pro.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        GPL-3.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause) AND ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-3-Clause AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND CC0-1.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND MPL-2.0 AND (Unlicense OR MIT) AND Zlib
Requires:       xclip
Provides:       espanso%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n %{crate}
%{_description}

This package contains the X11 version.

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/espanso

%package     -n %{crate}-wayland
Summary:        %{summary}
License:        GPL-3.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause) AND ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-3-Clause AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND CC0-1.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND MPL-2.0 AND (Unlicense OR MIT) AND Zlib
Requires:       wl-clipboard

%description -n %{crate}-wayland
%{_description}

This package contains the Wayland version.

%files       -n %{crate}-wayland
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/espanso-wayland

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f default,wayland

%build
%cargo_build -- --bin espanso --features="default"
%cargo_build -- --bin espanso-wayland --features="wayland"

%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install -- --bin espanso --features="default"
%cargo_install -- --bin espanso-wayland --features="wayland"

# There is no check

%changelog
%autochangelog
